Bug 172673 - Patch to add basic ethtool interface to Prism54 Wireless Network Devices
Patch to add basic ethtool interface to Prism54 Wireless Network Devices
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-07 23:37 EST by Matt T. Proud
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 10:00:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add Prism54 device to system-config-network driver list. (252 bytes, patch)
2005-11-07 23:37 EST, Matt T. Proud
no flags Details | Diff
kernel patch (2.00 KB, patch)
2006-04-12 20:31 EDT, Kai Engert (:kaie)
no flags Details | Diff

  None (edit)
Description Matt T. Proud 2005-11-07 23:37:36 EST
Description of problem:
As I have mentioned in
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=169492), there can be some
difficulties when using a Prism54-based card in Fedora Core with its
system-config-network packages. Furthermore, reflecting the concerns explicated
in (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=135954), the
system-config-network utilities do not automatically list the Prism54 hardware
as an item to add to the list. If it lists the module as an option, it has been
after much black-magic has occurred.

To make using Prism54 cards more intuitive with Fedora Core, I wrote a patch to
/usr/share/system-config-network/module-info that includes the Prism54 device.
After adding the entry to the list, system-config-network-* now properly handles
Prism54 devices.

This is a known problem, as I have mentioned with #135954, so there is no reason
that the module-info should not be patched to reflect a fix.

Version-Release number of selected component (if applicable):
system-config-network-tui-1.3.26-1

How reproducible:
The majority of the time.

Steps to Reproduce:
1. Insert a Prism54 card on boot.
2. Attempt to add the Prism54 hardware using system-config-network
  
Actual results:
Despite the kernel's recognition of the device and everything else that would
suggest a functioning device, a Prism54 device cannot be added. The driver does
not show up in the list.


Expected results:
The Prism54 driver should appear in the list.

Additional info:
It does not matter whether the Prism54 device was added before booting the
machine or after it was running. This situation is generally hopeless. I have a
Netgear WG511.
Comment 1 Matt T. Proud 2005-11-07 23:37:36 EST
Created attachment 120803 [details]
Patch to add Prism54 device to system-config-network driver list.
Comment 2 Kai Engert (:kaie) 2005-12-25 15:12:22 EST
Harald, I second the report and was about to report the same.

This patch makes it work for me, too.

The code is not yet in rawhide. I propose we should add it.
Comment 3 Kai Engert (:kaie) 2006-04-12 20:26:24 EDT
I talked to Harald. He proposed, this patch is a workaround, but we should
prefer a real fix, which is to add "ethtool -i" interface support to the prism
driver.

I hacked a patch, and indeed it seems to make things work.
Attaching, FYI, but will also send it to the netdev mailing list.
Comment 4 Kai Engert (:kaie) 2006-04-12 20:31:13 EDT
Created attachment 127681 [details]
kernel patch
Comment 5 Kai Engert (:kaie) 2006-06-26 19:20:01 EDT
What needs to be done to get this small patch in?
Comment 6 Pete Zaitcev 2006-06-26 19:42:30 EDT
So, did you send it to netdev like you promised on 4/12?
Comment 7 Dave Jones 2006-09-16 23:03:39 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 8 Dave Jones 2006-10-16 20:11:43 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Kai Engert (:kaie) 2006-10-18 21:37:40 EDT
I finally posted the patch to the netdev list today.
http://marc.theaimsgroup.com/?l=linux-netdev&m=116122163422733&w=2
Comment 10 John W. Linville 2006-12-12 09:19:22 EST
Do you intend to follow-up to Jeff Garzik's reply?

   http://marc.theaimsgroup.com/?l=linux-netdev&m=116145483119747&w=2
Comment 11 Kai Engert (:kaie) 2006-12-12 15:25:09 EST
I finally did:
http://marc.theaimsgroup.com/?l=linux-netdev&m=116595423213655&w=2
Comment 12 John W. Linville 2007-01-03 10:00:35 EST
I have pushed Kai's patch upstream destined for 2.6.21.  It should be in 
Fedora (rawhide) shortly thereafter.

Note You need to log in before you can comment on or make changes to this bug.